/**
 *
 * @author matheus
 */
import javax.swing.JButton;
import javax.swing.JLabel;

public class ButtonFormPanel extends javax.swing.JPanel {

    /**
     * Creates new form NewJPanel1
     */
    public ButtonFormPanel() {
        initComponents();
        okCancelButtons = java.util.Arrays.asList(bOk, bCancel);
        controlButtons = java.util.Arrays.asList( bSearch, bCreate, bDelete, bUpdate, bCancel, bOk );
        searchCreateButttons = java.util.Arrays.asList(bSearch, bCreate );
        deleteUpdateButttons = java.util.Arrays.asList(bDelete, bUpdate );
    }
     private java.util.List<javax.swing.JComponent> okCancelButtons; 
     private java.util.List<javax.swing.JComponent> controlButtons; 
     private java.util.List<javax.swing.JComponent> searchCreateButttons; 
     private java.util.List<javax.swing.JComponent> deleteUpdateButttons;


    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        bSearch = new javax.swing.JButton();
        bCreate = new javax.swing.JButton();
        bDelete = new javax.swing.JButton();
        bUpdate = new javax.swing.JButton();
        bCancel = new javax.swing.JButton();
        bOk = new javax.swing.JButton();

        bSearch.setText("Search");

        bCreate.setText("Create");

        bDelete.setText("Delete");

        bUpdate.setText("Update");

        bCancel.setText("Cancel");

        bOk.setText("Ok");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(bSearch)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(bCreate)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(bDelete)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(bUpdate)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(bCancel)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(bOk)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bSearch)
                    .addComponent(bCreate)
                    .addComponent(bDelete)
                    .addComponent(bUpdate)
                    .addComponent(bCancel)
                    .addComponent(bOk))
                .addContainerGap(13, Short.MAX_VALUE))
        );
    }// </editor-fold>                        
    


    // Variables declaration - do not modify                     
    private javax.swing.JButton bCancel;
    private javax.swing.JButton bCreate;
    private javax.swing.JButton bDelete;
    private javax.swing.JButton bOk;
    private javax.swing.JButton bSearch;
    private javax.swing.JButton bUpdate;
    private javax.swing.JLabel lRegisters;
    // End of variables declaration     
    public JButton getBCancel(){
        return this.bCancel;
    }
    public void setBCancel(JButton bCancel){
        this.bCancel = bCancel;
    }
    public JButton getBCreate(){
        return this.bCreate;
    }
    public void setBCreate(JButton bCreate){
        this.bCreate = bCreate;
    }
    public JButton getBDelete(){
        return this.bDelete;
    }
    public void setBDelete(JButton bDelete){
        this.bDelete = bDelete;
    }
    public JButton getBOk(){
        return this.bOk;
    }
    public void setBOk(JButton bOk){
        this.bOk = bOk;
    }
    public JButton getBSearch(){
        return this.bSearch;
    }
    public void setBSearch(JButton bSearch){
        this.bSearch = bSearch;
    }
    public JButton getBUpdate(){
        return this.bUpdate;
    }
    public void setBUpdate(JButton bUpdate){
        this.bUpdate = bUpdate;
    }
    public java.util.List<javax.swing.JComponent> getOkCancelButtons(){
        return this.okCancelButtons;
    }
    public void setOkCancelButtons(java.util.List<javax.swing.JComponent> okCancelButtons){
        this.okCancelButtons = okCancelButtons;
    }
    public java.util.List<javax.swing.JComponent> getControlButtons(){
        return this.controlButtons;
    }
    public void setControlButtons(java.util.List<javax.swing.JComponent> controlButtons){
        this.controlButtons = controlButtons;
    }
    public java.util.List<javax.swing.JComponent> getSearchCreateButttons(){
        return this.searchCreateButttons;
    }
    public void setSearchCreateButttons(java.util.List<javax.swing.JComponent> searchCreateButttons){
        this.searchCreateButttons = searchCreateButttons;
    }
    public java.util.List<javax.swing.JComponent> getDeleteUpdateButttons(){
        return this.deleteUpdateButttons;
    }
    public void setDeleteUpdateButttons(java.util.List<javax.swing.JComponent> deleteUpdateButttons){
        this.deleteUpdateButttons = deleteUpdateButttons;
    }
    public JLabel getLRegisters(){
        return this.lRegisters;
    }
    public void setLRegisters(JLabel lRegisters){
        this.lRegisters = lRegisters;
    }
}

